Send OTP

This API is used to generate OTP for given below actions - CreateCustomer, CreateReceiver
and SendTransaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameter

Parameters

Requirement

Description

operation

Mandatory

Operation Type will be :

FundTransfer,
RemitterRegistration,
AgentRegistration

mobile

Optional (Mandatory when Operation is FundTransfer and

  • *RemitterRegistration** )

Remitter Mobile Number

beneficiaryId

Optional
(Mandatory if operation is FundTransfer)

Beneficiary Id

paymentMode

Mandatory
(Optional If operation is Remitter Registration)

It will be Cash Payment or Account Deposit

bankBranchId

Optional
(Mandatory when paymentMode is Account Deposit)

Bank Branch Id

accountNumber

Optional
(Mandatory when paymentMode is Account Deposit)

Beneficiary Account Number

transferAmount

Optional

Amount to be Transfered

Sample Request

curl --location --request POST 'https://api.instantpay.in/fi/remit/out/nepal/otpRequest' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.14' \
--header 'X-Ipay-Outlet-Id: 72762' \
--header 'Content-Type: application/json' \
--data-raw '{
    "operation":"FundTransfer",
    "mobile":"7428585742",
    "paymentMode":"Cash Payment",
    "bankBranchId":"",
    "accountNumber":"",
    "beneficiaryId":"8747",
    "transferAmount" : "1"
}'
POST /fi/remit/out/nepal/otpRequest HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 14.142.186.14
X-Ipay-Outlet-Id: 72762
Content-Type: application/json
Content-Length: 205

{
    "operation":"FundTransfer",
    "mobile":"7428585742",
    "paymentMode":"Cash Payment",
    "bankBranchId":"",
    "accountNumber":"",
    "beneficiaryId":"8747",
    "transferAmount" : "1"
}

Response Parameters

Parameters NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
enviromentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "otpReference": "9556ceb7-9d63-4695-8884-f0e304dd87da"
    },
    "timestamp": "2022-10-13 09:56:39",
    "ipay_uuid": "h068977d176e-72bf-4fd2-8a23-c7e1409cdb52",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}
📘

Info :

For API Headers Click Here

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain